Parallaxis iAlbum

Parallaxis BOOST-IT

Welcome to Parallaxis Boost-It: a powerful, all in one system performance and Internet optimizer suite. It's improving your Internet connection enormously and optimizes your Windows system and other software. This results in a best performance boost in both Internet connection and systems - without any new hardware, any hardware tweak, and without restricting your system's stability.

It's the best companion for Windows operating system! With the help of this utility you can tune up your Internet connection to its maximum performance regardless of its type. Parallaxis Boost-It supports dial-up modems, cable modems, ISDN, DSL, T1, T3 and other types of connections.

With Parallaxis Boost-It you can:

- be notified when your system can be optimized;
- improve internet connection performance with Internet Optimization Wizard;
- tweak every aspect of your internet connection manually;
- view connections statistics, bytes sent/received and traffic by graph;
- optimize Internet Explorer, Mozzila, Opera browser;
- increase your Windows performance, optimize system memory;
- optimize Microsoft Office components;
- optimize ICQ, MSN Messenger, Outlook Express and Norton SystemWorks;
- stop banner ads with Banner Killer;
- check your system for possible optimizations in one go!

Before you start working with the program, it is recommended that you backup your registry.

Welcome
Find out all the useful features this program has to offer.

See also:
System Requirements
License Agreement
Ordering Information


Minimum requirements:

Operating System: 98/ME, Windows 2000 or XP
Video card: color resolution 256 colors minimum
Hard Drive: 3 MB
System Requirements
Find out if your computer satisfies the program minimum system requirements.

See also:
License Agreement
Installation
Ordering Information


PARALLAXIS® BOOST-IT® LICENSE AGREEMENT

This license statement and limited warranty constitutes a legal agreement ("License Agreement") between you (either as an individual or a single entity) and Parallaxis Software ("Parallaxis" or "Company") for the software product ("Software") identified above, including any software, media, and accompanying on-line or printed documentation. By installing, copying, or otherwise using the software, you agree to be bound by all of the terms and conditions of this license agreement.

General Terms

This copy of BOOST-IT may either be used by a single person who uses the software personally on one or more computers, or installed on a single workstation used nonsimultaneously by multiple people, but not both. This is not a concurrent use license. You may access this copy through a network, provided that you have obtained an individual BOOST-IT license for each workstation that will access BOOST-IT through the network. For instance, if 8 different workstations will access BOOST-IT on the network, each workstation must have its own BOOST-IT license, regardless of whether they use BOOST-IT at different times or concurrently.

Limited Warranty

This software, and all accompanying files, data and materials, are distributed "AS IS" and with no warranties of any kind, whether express or implied. Good data processing procedure dictates that any program be thoroughly tested with non-critical data before relying on it. The user must assume the entire risk of using the program. This disclaimer of warranty constitutes an essential part of the agreement.

To the maximum extent permitted by applicable law, Parallaxis and its suppliers disclaim all other warranties and conditions, either expressed or implied, including, but not limited to, implied warranties or merchantability, fitness for a particular purpose, title, and non-infringement, with regard to the software, and the provision of or failure to provide software willbe error free or will operate without interruption. The entire risk arising out of the user or performance of the Parallaxis Software and accompanying written materials remains with you. This limited warranty gives you specific legal rights. You may have others, which vary from state/jurisdiction to state/jurisdiction.

Limitation of Liability

To the maximum extent permitted by applicable law, in no event shall Parallaxis or its licensors or suppliers be liable for any special, incidental, indirect, consequential, punitive or exemplary damages whatsoever (including, without limitation, damages for loss of business profits or business interruption, goodwill, loss of business information, or any other pecuniary loss) whether based on principles of contract, tort (including negligence), duty, indemnity, contribution or otherwise, arising out of the use of or inability to use the software or the provision of or failure to provide support services, even if Parallaxis has been advised of the possibility of such damages. In any case, Parallaxis' entire liability under any provision of this license agreement shall be limited to the greater of the amount actually paid by you for the software product.

License Restrictions

All rights of any kind in BOOST-IT which are not expressly granted in this License are entirely and exclusively reserved to and by Company. You may not rent, lease, modify, translate, reverse engineer, decompile, disassemble or create derivative works based on BOOST-IT. You may not make access to BOOST-IT available to others in connection with a service bureau, application service provider, or similar business. There are no third party beneficiaries of any promises, obligations or representations made by Company herein. All copyrights to are exclusively owned by the Company.

Copyright (C) 2003-2004 Parallaxis Software. All rights reserved.
License Agreement
Please take a look at the license agreement in this section.

See also:
Installation
Ordering Information
Technical Support


To install the program

Run the file you downloaded and follow the instructions of the installation program. By default, the program will be installed in "C:\Program Files\Parallaxis Boost-It" and a new Parallaxis Boost-It group will be created in your Start menu.

To uninstall the program

Go to Start | Programs | Parallaxis Boost-It, and run Uninstall Parallaxis Boost-It. The program will be uninstalled. Alternatively you can uninstall the program using the Control Panel. Open the Control Panel, open Add and Remove Programs, select Parallaxis Boost-It and click "Change/Remove" (for Windows XP).
Installing and Uninstalling
Learn how to correctly install and uninstall the program.

See also:
Ordering Information
System Requirements
Technical Support


Purchase Parallaxis Boost-It at our web site, where you can also see pricing information, special offers and discounts, as well as a list of payment options.

Upon purchasing Parallaxis Boost-It you will receive a confirmation e-mail containing your user name and license code to register and enjoy the unrestricted version of the program without trial limitations.

All online orders are processed through our secure web site at www.regnow.com. Your e-mail address as well as other information are kept strictly confidential.

As a registered user you will be entitled to free upgrades within the same major version (e.g. version 2.3 will be free for all who purchase 2.0, 2.1 or 2.2) and discounts when purchasing newer versions.
Ordering Information
Learn about ordering the program and the upgrade policy.

See also:
License Agreement
System Requirements
Technical Support


Backing up REGISTRY

Windows 95
Windows 98/ME
Windows 2000
Windows XP

Windows 95

Your Windows 95 registry consist of two files called System.dat and User.dat. Both of these files together make up your registry. Both System.dat and User.dat have hidden, read-only file attributes.

Backing up your Windows 95 Registry

  • Restart your computer. Press the F8 key on your keyboard when you see the Starting Windows 95 message, and then choose Safe Mode Command Prompt Only from the Startup menu.
  • At the command prompt type the following lines, pressing the Enter key after each line:

    cd windows
    attrib -r -h -s system.dat
    attrib -r -h -s user.dat
    copy system.dat *.bu
    copy user.dat *.bu

  • Restart your computer.
NOTE: This procedure assumes you do not have any files named System.bu or User.bu. If you do have files by this name, such as a backup of the System.ini file, select a file name extension that is not currently in use.

Restoring your Windows 95 Registry files

  • The following steps assume that you have already backed up your Registry files to system.bu and user.bu as outlined above.
  • Restart your computer. Press the F8 on your keyboard when you see the Starting Windows 95 message, and then choose Safe Mode Command Prompt Only from the Startup menu.
  • Type the following lines at the command prompt, pressing the Enter key after each line.

    cd windows
    attrib -r -h -s system.dat
    attrib -r -h -s system.da0
    attrib -r -h -s user.dat
    attrib -r -h -s user.da0
    ren system.dat system.daa
    ren system.da0 system.da1
    ren user.dat user.daa
    ren user.da0 user.da1
    copy system.bu system.dat
    copy user.bu user.dat

  • Your current registry files are backed up to the system.daa and user.daa files.
  • Your previously backed up registry files system.bu and user.bu are renamed to system.dat and user.dat
  • Restart your computer.

Windows 95 Notes

This procedure assumes you do not have any files named System.daa, System.da1, User.daa, or User.da1. If you do have files by this name, select a file name extension that is not currently in use.

You may want to back up more than one version of the registry in case the registry becomes damaged but the damage is not detected until later. If you want to do this, when you are following the steps above, replace the .bu extension with .bu1, .bu2, and so on.

If you have more than one hard disk or a network drive is available, you may want to copy the backup files to the other drive so the backup files do not reside in the same location as the original registry files.

Note that if you are using user profiles, you should also backup the User.dat files located in the following folders,

C:\Windows\Profiles\(username)

where (username) is the name of each person that logs on to Windows 95.

Restoring the Registry in Windows 98/ME

  • Under normal circumstances, Windows is capable of detecting and recovering from registry errors automatically. If Windows is incapable of this, a previous copy of the registry can be restored manually. Windows makes and stores a backup of the registry when you start your computer successfully each day. By default, five previous copies of the registry are stored. To restore one of these previous copies of your registry follow these steps.
  • Restart your computer, and press and hold the CTRL key as it restarts.
  • Choose Safe Mode Command Prompt Only from the Windows startup menu. If you are running Windows ME, start your computer with your Windows startup disk.
  • At the MS-DOS prompt, type cd\windows\command , and then press the Enter key. Where windows is the name of the folder in which Windows is installed.
  • At the C: prompt, type scanreg /restore , and then press the Enter key.
  • Select the previous registry you want to restore, and then press the Enter key. A properly working registry has the word "Started" next to the date.
  • When you receive notification that you restored a properly working registry, press the Enter key to restart your computer.

Windows 2000

Windows setup

The simplest way of restoring a damaged registry in Windows 2000 is to use the Setup.exe program to run Windows setup on a single boot system.

How to run the Setup.exe file to repair your Registry.

  • You'll need to set your computer to boot from your CD-ROM drive if it isn't doing so already. Put your Windows 2000 setup CD in your CD-ROM drive and restart your computer.
  • Run the Setup.exe file manually if the Windows setup program does not start automatically on reboot. You will need to find and open the Setup.exe file on your Windows 2000 CD-ROM if this is the case.
  • Select the option to Repair a damaged Windows 2000 installation when you are prompted to do so.

Last known good configuration

You can choose to boot to the Last known good configuration. Windows 2000 restores your registry to a state where you last logged in, but it only restores information in the HKLMSYSTEM|CurrentControlSet key. This is a good way to recover from changes that affect only this key, such as adding a device driver.

How to restore the HKLMSYSTEM|CurrentControlSet Registry key.

  • Restart your computer.
  • Hold down the F8 key on your keyboard while your system reboots.
  • Select Last known good configuration from the Startup menu by using the arrow keys on your keyboard.
  • Press the Enter button on your keyboard.

Windows XP

The best way to backup your Registry is to use the System Restore tool.

Making a restore point

  • Click Start.
  • Select All Programs.
  • Select Accessories.
  • Select System Tools.
  • Select System Restore.
  • Select Create a Restore Point.
  • Click the Next button.
  • Type in a Restore Point Description.
  • Click the Create button. Your new restore point is given the current date and time along with the restore point description.
  • Click the Home button.

You have now made a Restore point.

  • Restoring to a past restore point
  • Click Start.
  • Select All Programs.
  • Select Accessories.
  • Select System Tools.
  • Select System Restore.
  • Select Restore my computer to an earlier time.
  • Click the Next button.
  • Select a Restore point from the calendar by clicking a bold date and then selecting a Restore point.
  • Click the Next button.
  • Confirm the Restore point and click the Next button.

Your computer will then be restored to your selected Restore point and restart itself.

Registry Backup
Before you start working with the program it is recommended that you backup your registry.

See also:
Definitions
Recommended Settings
DNS Caching


Maximum Transmission Unit (MTU)

This is the default packet size that Windows uses to negotiate with. When a connection is opened between two computers, they must agree on an MTU. This is done by comparing MTUs and selecting the smaller of the two. If the MTU is set too large for routers that are between the computers, these routers then fragment this information into a packet size that the router can handle. This fragmentation can double the amount of time it takes to send a single packet. Windows has a built-in MTU Discovery that will adjust for this by sending out a packet that is marked as "Not Fragmentable". Then the router sends back an error to the computer saying that the packet was too large, and Windows then lowers the MTU until there are no more errors. If your ISP uses an MTU of 576, then every time you start a connection, Windows must adjust down to this value. Even though Windows automatically adjusts the packet size, it still takes it time to negotiate an acceptable MTU. By setting this value manually, you greatly reduce the amount of work that Windows must do to negotiate.

RWIN (TCP Receive Window)

RWIN determines how much data the receiving computer is prepared to receive. An RWIN value that is set too high will result in greater data loss if the packet is lost or damaged in transit. An RWIN value that is set too low will produce very poor throughput. Typically, an RWIN value should be set that is 3 or 4 times the size of the Maximum Segment Size (MSS).

Maximum Segment Size (MSS)

The MSS is the largest segment of TCP data that the Winsock is prepared to receive on a particular connection. When the TCP connection is initially established, both sides agree to use the minimum of each other's advertised MSS value.If the MSS is too low, the data/header ratio will be low. And if the MSS is too high, this will lead to large IP datagrams and the packets will tend to fragment in transit where other networks may have small MTU's. Hence, performance can increase at times by reducing the MSS value.Since packet headers are normally 40 bytes in length, your MSS value should always be at least 40 less than the value of the MTU. As a rule of thumb, first try setting the MSS value to be the greatest power of 2 that is at least 40 less than the MTU value.

TTL (Time To Live)

TTL is a field in the IP header which indicates how long a packet should be allowed to survive before it is discarded. TTL essentially determines the maximum number of hops permitted. Windows 95 default is 32, but with the Internet growing larger all the time, it is worth changing it to the larger setting of 128. Windows 98 does default to 128 now.

Session Keep Alive

The parameter controls how often TCP attempts to verify that an idle connection is still intact by sending a keep alive packet. If the remote system is still reachable and functioning, it will acknowledge the keep alive transmission. Keep alive packets are not sent by default. This feature may be enabled on a connection by an application.

Selective Acknowledgement

Selective Acknowledgement (SACK) is an optimizing feature that lets you acknowledge receipt of individual blocks of data in a continuous sequence, rather than just the last sequence number. The recipient can tell the sender that one or more data blocks are missing from the middle of a sequence, and the sender can retransmit only the missing data. SACK is specified in RFC 2018. SACK is enabled by default in Windows.

Path MTU Discovery

When this feature is enabled, TCP will attempt to discover the Maximum Transmission Unit (MTU or largest packet size) over the path to a remote machine. By discovering the Path MTU and limiting TCP segments to this size, TCP can eliminate fragmentation at routers along the path which connect networks with different MTUs. Path MTU Discovery is specified in RFC 1191. Path MTU Discovery is enabled by default in Windows.

"Black Hole" routers detection

When enabled, causes TCP to try to detect "Black Hole" routers while doing Path MTU Discovery. A "Black Hole" router does not return ICMP Destination Unreachable messages when it needs to fragment a TCP packet with the Don't Fragment bit set. TCP depends on receiving these messages to perform Path MTU Discovery. With this feature enabled, TCP will try to send segments without the Don't Fragment bit set if several retransmissions of a segment go unacknowledged. If the segment is acknowledged as a result, the MSS will be decreased and the Don't Fragment bit will be set in future packets on the connection. Enabling black hole detection increases the maximum number of retransmissions performed for a given segment. Black hole detection is disabled by default in Windows.

RFC 1323 Timestamps

Timestamps help TCP to measuring round trip time (RTT) accurately in order to adjust retransmission timeouts. The Timestamps option provides two four-byte timestamp fields in the TCP header, one to record the time the initial transmission is sent and one to record the time on the remote host. Since this option increases packed header overhead and don't provide much of an improvement, it's better left disabled. This option is specified in RFC 1323. Timestamps are disabled by default in Windows.

RFC 1323 Window Scaling

Window scaling permits TCP to negotiate a scaling factor for the TCP receive window size, allowing for a very large TCP receive window of up to 1 GB. This option must be enabled if you want to use receive windows larger than 64 KB. Window scaling is enabled by default in Windows.
Definitions
Check this section for commonly used terms in the program.

See also:
Registry Backup
Recommended Settings
DNS Caching


Windows 95/98/98SE/ME Users:

Modem Connection

MTU: 1500
MSS : 1460
RWIN: 11680
TTL : 128

Cable Modem

MTU: 1500
MSS: 1460
RWIN: 29600
TTL : 64

DSL

MTU: 1500
MSS: 1460
RWIN: 32767
TTL : 128

Broadband/ISDN/T1/Satellite

MTU: 1500
MSS: 1460
RWIN: 372300
TTL : 128

Windows 95/98/Me Default Settings

MTU: 1500
MSS: 1460
RWIN: 8192
TTL : 128

Windows NT/2000/XP Users

Modem Connection

MTU: 1500
MSS: 1460
RWIN: 372300
TTL : 128

Cable Modem/DSL/Broadband/ISDN/T1/Satellite

MTU: 1500
MSS: 1460
RWIN: 32767
TTL : 128

Windows NT/2000 Default Settings

MTU: 1500
MSS: 1460
RWIN: 8192
TTL : 128
Recommended Settings
Check this section for the recommended settings for the Internet Connections.

See also:
Registry Backup
Definitions
DNS Caching


DNS Caching speeds up DNS lookup process by caching DNS entries locally. Whenever you visit a web page, its host name and its appropriate IP address is placed in the local cache (hosts file). Next time you visit the same web site, Internet Explorer will not have to resolve the web site host name, it will simply look it up in the local cache.

In order for DNS caching to work, you need to:

1) have the program running (visible or minimized to tray)
2) have "DNS Optimization enabled" option checked

Basically you can add/delete/edit DNS entries manually, however it's better if you enable "Cache any web page you visit". This will make the program collect all hosts you visit and automatically resolve their IP addresses.

It is highly advisable that you periodically update the DNS cache by clicking "Update DNS Entries" link. Due to dynamic nature of the Internet, the host IP addresses change frequently and, if not updated, the DNS cache may become obsolete.
DNS Caching
Find out how to use DNS caching most effectively to increase your Internet browsing speed.

See also:
Registry Backup
Definitions
Recommended Settings


Please visit the following web page for technical support:

http://www.pxcompany.com/en/support

We will contact you within 1-3 work days. Registered users are entitled priority for technical support.

Please help us give you a more helpful answer by following these rules:

1. Please describe the problem in details.

2. If possible, make a screenshot and send it to us (you can use iAlbum to make screenshots).

3. Provide details about your computer configuration.

We provide technical support only in English. If you don't know English well enough, please use translation services, for example this one:

http://babelfish.altavista.com/tr

NOTE: If you are not satisfied with our technical support services, please contact parallaxis@pxcompany.com
Technical Support
Our technical support staff contact information.

See also:
Contact Information
Introduction
Registry Backup


Technical Support: support@pxcompany.com

Other Questions: parallaxis@pxcompany.com

Web Site: http://www.pxcompany.com
Contact Information
Find out how to contact us.

See also:
Technical Support
Introduction
Ordering Information